function ACC=evalACC2(DATA,numOfClass,labels,W,conf)

%EVALACC: evaluate the accuracy of the classifier
%
%No documentation
%

sumofdata=zeros(numOfClass,size(DATA,2));% <#class x #images>
confmat=zeros(numOfClass,size(DATA,2));	 % idem
if (conf>0)
    for i=1:size(DATA,2)			%this loop generate the bias matrix
        confmat(labels(i),i)=conf;	%default: no bias
    end
end

for i=1:length(W)
    temp= W(i)*DATA( (i-1)*numOfClass+1 : i*numOfClass,:);
    sumofdata=temp+sumofdata; %add the decision matrix of subband i to the global decision
end

sumofdata=sumofdata-confmat;  %apply a bias if needed

[y,index]=max(sumofdata); %index is the winner vector (for all the test images)

%[?] in evalACC2.m: i don't see the reason of the following piece of code,
%[?] the same job is achieved in evalACC and evalACCsave in only one line of
%[?] clear code. this has to get checked.
for i=1:numOfClass
    whereni=find(labels~=i);% index all the images that are not of class i.
    tempind=index;
    tempind(whereni)=0; %keep only the decisions over the images of class i
    templab=labels;
    templab(whereni)=-1;% hence the expr: tempind-templab=1 for all images that are not of class i
    n=length(find(labels==i));%numof test images per class
    ACC(i)=length(find((tempind-templab)==0))/n; %tempind-templab==0 <=> good guess!
end


    
