function img2=ml_pad(img)

%ML_PAD pad an image to reach the size 2^nx2^n, where n is the smallest power ...
% of two that is not less than the larger dimension of the image
%   ML_PAD(IMG)  appends zeros to the right and bottom of IMG

s=size(img);
padsize=pow2(nextpow2(max(s)));

if s(1)<padsize
    img=[img;zeros(padsize-s(1),s(2))];
end

s=size(img);
if s(2)<padsize
    img=[img zeros(s(1),padsize-s(2))];
end

img2=img;