function [ACC,overall,weights]=evalcf(decisionMatrix,labelA,crossv,totalsub,SUBBAND,numOfClass,IMG_PER_CLASS)

%EVALCF: performs a LSE to find a weight vector
%
%
%No documentation
%



%rearrange decision matrix...
[newlabA,newlabind]=sort(labelA);
newdMat=decisionMatrix(:,newlabind);



     N=IMG_PER_CLASS*numOfClass;
     C=numOfClass;
     S=totalsub;
     %crossv=5;
     testnum=N/crossv;
     trainnum=N-testnum;

stepsize=N/C;
nnewlabA=[];
nnewdMat=[];
for i=1:stepsize
for j=1:C
nnewlabA=[nnewlabA,newlabA((j-1)*stepsize+i)];
nnewdMat=[nnewdMat,newdMat(:,(j-1)*stepsize+i)];
end
end
labelA=nnewlabA;
decisionMatrix=nnewdMat;

 for i=1:N
     for j=1:C
         for k=1:S
             A((i-1)*C+j,k)=decisionMatrix((k-1)*C+j,i);
         end
     end
 end
 
for cv=1:crossv
	 testnum=N/crossv;
    rlabtest=(labelA((cv-1)*testnum+1:cv*testnum))';
    Atest=A((cv-1)*C*testnum+1:cv*C*testnum,:);
    rlabtrain=[labelA(1:(cv-1)*testnum)';labelA(cv*testnum+1:N)'];
    Atrain=[A(1:(cv-1)*C*testnum,:);A(cv*C*testnum+1:N*C,:)];
    
    trainY=[];
    for i=1:length(rlabtrain)
        temp=zeros(C,1);
        temp(rlabtrain(i))=1;
        trainY=[trainY;temp];
    end
    Atrains{cv}=Atrain; 
    w=(Atrain'*Atrain)^-1*Atrain'*trainY;
    %w=(max([w,zeros(21,1)],[],2));
    %w=[1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0]';
    w=w/sum(w);
    
    testY=Atest*w;
    alabtest=[];
    for i=1:length(rlabtest)
        [x,ind]=max(testY((i-1)*C+1:i*C));
        alabtest=[alabtest;ind];
    end
	ow=zeros(S,1);
ow(find(mod(1:length(ow),SUBBAND)==1))=1;
%[1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0]';
    testoY=Atest*ow;
       olabtest=[];
    for i=1:length(rlabtest)
       [x,ind]=max(testoY((i-1)*C+1:i*C));
       olabtest=[olabtest;ind];
    end

    for ec=1:C
        ecind=find(rlabtest==ec);
        run(cv,ec)=length(find((alabtest(ecind)-rlabtest(ecind))==0))/length(ecind);
        orig(cv,ec)=length(find((olabtest(ecind)-rlabtest(ecind))==0))/length(ecind); 
    end
weights{cv}=w;
end
overall=zeros(2,numOfClass+1);
for k=1:numOfClass
ACC{k,1}=[run(:,k)' mean(run(:,k))];
ACC{k,2}=[orig(:,k)' mean(orig(:,k))];
overall(:,k)=[mean(run(:,k));mean(orig(:,k))];
end
overall(:,k+1)=[mean(run(:));mean(orig(:))];

save('debugSingular.mat','Atrains');
end
