function NormalImage = ml_normalize(img);

% NORMALIMAGE=AL_NORMALIZE(IMAGE); will take a image whose 
% background has been removed and which has been cropped
% and it will normalize it by translation, rotation,
% and scaling.

% Written by Adrienne Wells
% Jun. 29, 2005 Modified by T. Zhao

Theta=ml_majorangle(img)*180/pi;

img=ml_rotate(img,-Theta);

NormalImage = ml_translate(img);
