function mail_notify(notify,subject,header,message)
%MAIL_NOTIFY: Try to send an email from an address inside CMU t othe same address using CMU SMTP server
%
%example:
%
%mail_notify(notify,['MR job ',JOB_FOLDER,' completed'],filelog,['Stage: ',num2str(stage),10,'Features: ',featClean]);


SMTP_SERVER='smtp.andrew.cmu.edu';%will only works if this code is @CMU
SENDER=notify; %the email sender ID: CMU don't like fakes...
setpref('Internet','SMTP_Server',SMTP_SERVER);
setpref('Internet','E_mail',SENDER);
MAIL_PREFIX='[MRclass] ';%prefix of mails subject, to apply rules
try
	sendmail(notify,[MAIL_PREFIX,subject],[header,10,10,message]);
catch
	disp('Warning, mail error:');
	disp(lasterr);
	disp('nothing serious, resuming job...');
end
